<?php

namespace App\Controller\Web;

class ContactController
{
    /**
     * $config.
     *
     * @var array
     */
    protected $config;

    public function __construct()
    {
        $this->config = config('contact');
    }

    /**
     * 首頁
     */
    public function index()
    {

       
        $view = \View::make("web.{$this->config['folder']}",compact('options'))->render();

        return \Response::create($view)->send();
    }

    /**
     * 新增
     */
    public function add()
    {
        $rule = [
            'g-recaptcha-response' => 'required|captcha',
        ];
        $rule_message = [
			'g-recaptcha-response.required' => lang('contact.rule_message.g-recaptcha-response.required'),
			'g-recaptcha-response.captcha'  => lang('contact.rule_message.g-recaptcha-response.captcha'),
        ];
        validate($rule, $rule_message);

        if (\Session::get('validate.path.contact') != 'pass') {
            return back()->withErrors('請重新操作 (Please re-operate)')->send();
        }

        $var = [
            'name' => \Request::input('name'),
            'info' =>
            "姓名：" . \Request::input('name')  . "<br/>" .
            "電話：" . \Request::input('tel') . "<br/>" .      
            "E-mail：" . \Request::input('email') . "<br/>" .
            "諮詢項目 ：" . \Request::input('subject') . "<br/>" .
            "問題：<br/>" . nl2br(\Request::input('info')),
        ];

        $id=\DB::table($this->config['table'])->insertGetId($var);

        // $upvalue=[
        //     'contact_id'=>$id,
        //     'session_id'=>"",
        // ];
        // \DB::table($this->config['legal_proof_table'])->where('session_id', \Session::getId())->update($upvalue);
        // $pics= \DB::table($this->config['legal_proof_table'])->where('contact_id',  $id)->get();
        /******* 寄送信件 ********/

        $Tos = config('mail.to');

        foreach($Tos as $To){
            
            \Mail::send("emails.{$this->config['folder']}", ['info' => $var['info']], function ($message) use ($To,$pics) {
    
                // foreach($pics as $pic ){
                //        $message->attach(storage_path($pic['file']), array('as' => $pic['name'], 'mime' => $pic['file_type']));
                // }
             
               
                $message->to($To)->subject("這是來自" . config('system.web_title') . "的信件".'-'.\Request::input('subject') );
            });
            
        }
            

        // if(\Mail::failures()) {
        //     return back()->withErrors(lang('contact.send_mail_fail'))->send();
        // }

        /******* 寄送信件 ********/

        return back()->with('message', lang('contact.process_msg'))->send();
    }
}